%global dlrn_nvr python-tripleoclient-16.5.1.dev202-17.1.20230927003754.f3599d0
%global dlrn 1
%define upstream_version 16.5.1.dev202
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x4c29ff0e437f3351fd82bdf47c5a3bc787dc7035
%global rhosp 1

# Macros for openvswitch/rdo-openvswitch
%if 0%{?rhel} > 7 && 0%{?rhosp} == 0
%global ovs_dep rdo-openvswitch
%else
%global ovs_dep openvswitch
%endif

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global client tripleoclient

%global common_desc \
python-tripleoclient is a Python plugin to OpenstackClient \
for TripleO <https://github.com/openstack/python-tripleoclient>.

Name:           python-tripleoclient
Version: 16.5.1
Release: 17.1.20230927003758%{?dist}
Summary:        OpenstackClient plugin for tripleoclient

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/python-tripleoclient
Source0: python-tripleoclient-16.5.1.dev202-17.1.20230927003754.f3599d0.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=f3599d06631ec738ae78ed34b1eb823ef0fefc92
Patch0001: 0001-DOWNSTREAM-ONLY-Make-container-images-file-required.patch
Patch0002: 0002-DOWNSTREAM-ONLY-Fail-the-overcloud-deploy-is-ceph-an.patch
Patch0003: 0003-Stop-deploying-Ceph-during-the-overcloud-deployment.patch
Patch0004: 0004-Revert-Stop-deploying-Ceph-during-the-overcloud-depl.patch
Patch0005: 0005-DOWNSTREAM-ONLY-Do-not-support-upgrade-for-17.0-vers.patch
Patch0006: 0006-Revert-Revert-Stop-deploying-Ceph-during-the-overclo.patch
Patch0007: 0007-Stop-deploying-Ceph-during-the-overcloud-deploying.patch
Patch0008: 0008-Revert-DOWNSTREAM-ONLY-Do-not-support-upgrade-for-17.patch
Patch0009: 0009-Fix-large-bm-deploy-file-ansible-arugment-to-long.patch
Patch0010: 0010-Fix-how-we-add-removed-nodes.patch
Patch0011: 0011-Add-option-to-provide-custom-heat-config-vars.patch
Patch0012: 0012-Fix-get_heat_gid-function.patch
Patch0013: 0013-Use-dict-update-instead-of-operator.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/python-tripleoclient/python-tripleoclient-%{version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
%endif

BuildRequires:  git-core
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python3-%{client}
Summary: OpenstackClient plugin for tripleoclient
%{?python_provide:%python_provide python3-%{client}}

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools
# testing requirements
BuildRequires:  python3-stestr
BuildRequires:  python3-fixtures
BuildRequires:  python3-mock
BuildRequires:  python3-testrepository
BuildRequires:  python3-testtools
BuildRequires:  python3-cliff
BuildRequires:  python3-ironicclient
BuildRequires:  python3-ironic-inspector-client
BuildRequires:  python3-heatclient
BuildRequires:  python3-openstackclient
BuildRequires:  python3-oslo-config
BuildRequires:  python3-testscenarios
BuildRequires:  python3-passlib
BuildRequires:  python3-osc-lib-tests
BuildRequires:  python3-ansible-runner
BuildRequires:  openstack-tripleo-common
BuildRequires:  hostname
BuildRequires:  openstack-macros
BuildRequires:  validations-common
BuildRequires:  python3-PyYAML
BuildRequires:  python3-psutil
BuildRequires:  python3-requests-mock

Requires:       jq
Requires:       ncurses
Requires:       openstack-selinux
Requires:       python3-cliff
Requires:       python3-cryptography >= 2.1
Requires:       python3-heatclient >= 1.10.0
Requires:       python3-ironic-inspector-client >= 1.5.0
Requires:       python3-ironicclient >= 2.3.0
Requires:       python3-openstackclient >= 5.2.0
Requires:       python3-osc-lib >= 2.3.0
Requires:       python3-passlib
Requires:       python3-pbr
Requires:       python3-six
Requires:       python3-ansible-runner >= 1.4.5
Requires:       python3-openstacksdk >= 0.48.0
Requires:       validations-common
Requires:       python3-validations-libs >= 1.5.0

Requires:       python3-psutil
Requires:       python3-simplejson >= 3.5.1

Requires:       sos
Requires:       openstack-tripleo-common >= 15.2.0
Requires:       python3-tripleo-common >= 15.2.0
Requires:       os-net-config
Requires:       rsync

# Dependency for correct validations
Requires:       openstack-tripleo-validations

Requires:       buildah
Requires:       podman
Requires:       %{ovs_dep}
Requires:       openstack-heat-agents >= 1.6.0
Requires:       openstack-heat-api >= 1:16.0.0
Requires:       openstack-heat-engine >= 1:16.0.0
Requires:       openstack-heat-monolith >= 1:16.0.0
Requires:       openstack-tripleo-heat-templates >= 14.1.1
Requires:       puppet-tripleo >= 14.1.0
# Required for image uploading
Requires:       qemu-img

%description -n python3-%{client}
%{common_desc}

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{name}-%{upstream_version} -S git
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{py3_build}
PYTHONPATH=. oslo-config-generator --config-file=config-generator/undercloud.conf

%install
%{py3_install}
# undercloud.conf.sample needs to be copied by the user when deploying an undercloud,
# so 644 is enough to make it happen. Note instack-undercloud had similar permissions for
# this file.
install -p -D -m 644 undercloud.conf.sample  %{buildroot}/%{_datadir}/%{name}/undercloud.conf.sample

%check
PYTHON=%{__python3} stestr run

%files -n python3-%{client}
%{_datadir}/%{name}
%{python3_sitelib}/tripleoclient*
%{python3_sitelib}/python_tripleoclient*
%doc LICENSE README.rst

%changelog
* Fri Apr 12 2024 Lon Hohberger <lhh@redhat.com> 16.5.1-17.1.20230927003758
- Use dict update instead of | operator (rhbz#2256595)

* Wed Apr 10 2024 Miguel Garcia <migarcia@redhat.com> 16.5.1-17.1.20230927003757
- Fix get_heat_gid() function (rhbz#2271597)
- Add option to provide custom heat config vars (rhbz#2256595)

* Wed Apr 10 2024 Miguel Garcia <migarcia@redhat.com> 16.5.1-17.1.20230927003756
- Fix how we add removed nodes (rhbz#2269566)

* Tue Mar 12 2024 Shreshtha Joshi <shrjoshi@redhat.com> 16.5.1-17.1.20230927003755
- Fix large bm deploy file, ansible arugment to long (rhbz#2249593)
- Revert "[DOWNSTREAM ONLY] Do not support upgrade for 17.0 version." (rhbz#2016660)
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)

* Tue Sep 26 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-17.1.20230927003754.f3599d0
- Revert "[DOWNSTREAM ONLY] Do not support upgrade for 17.0 version." (rhbz#2016660)
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- ExtractProvisionedNode - include removed_rsrc

* Wed Sep 06 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-17.1.20230907003748.b6fb1e5
- Revert "[DOWNSTREAM ONLY] Do not support upgrade for 17.0 version." (rhbz#2016660)
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Fix node extract when no network-isolation

* Sat Aug 05 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-17.1.20230805105215.2e31655
- Revert "[DOWNSTREAM ONLY] Do not support upgrade for 17.0 version." (rhbz#2016660)
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Handle nested inventory groups in export_storage_ips

* Mon Jul 10 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-17.1.20230710164131.534fe49
- Revert "[DOWNSTREAM ONLY] Do not support upgrade for 17.0 version." (rhbz#2016660)

* Thu Jun 22 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-17.1.20230622051836.534fe49
- Update patches

* Thu May 04 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20230505004751.534fe49
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Deployed Ceph time synchronization

* Thu May 04 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20230504114000.78730a3
- Deployed Ceph time synchronization (rhbz#2172063)

* Thu Apr 20 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20230421004942.78730a3
- Update patches

* Sat Apr 15 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20230416004033.78730a3
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Fix Ceph Stray host(s)/daemon(s) issue

* Thu Apr 06 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20230407004533.210ed7c
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Fix update run to not run update on excluded nodes

* Fri Mar 31 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20230401013940.7987b12
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- [wallaby-only] FFWD3: System upgrade UC

* Thu Mar 30 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20230331004518.50884d7
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Fix extract provisioned nodes

* Wed Mar 29 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20230330013846.556c1b5
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- [ffwd3] Create nework_environment during node_extraction

* Wed Mar 22 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20230322234726.1908ed1
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Extract provisioned nodes - use ironic node uuid
- Don't install weak dependencies in overcloud image build
- Add handling for no -e param in CIP

* Wed Mar 01 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20230301203919.b780e6d
- Don't install weak dependencies in overcloud image build (rhbz#2152197)

* Mon Feb 13 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20230214003750.b780e6d
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Make ~/.tripleo/history owned by the correct user

* Sun Feb 12 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20230212234012.560fb20
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- baremetal node export - auto convert Heat nic-conf

* Wed Jan 25 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20230125223825.f7df028
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Rotate ansible.log during ceph deploy

* Thu Jan 12 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20230112233838.a635eba
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Support role specific ContainerImagePrepare

* Tue Jan 10 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20230110223838.7a6ae92
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Make --deployed-server the default

* Fri Jan 06 2023 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20230106153946.b751bcd
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Remove tox skipdist=True

* Sun Dec 25 2022 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20221226015213.bb01bcd
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Fix upgrade playbook path.

* Fri Dec 16 2022 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20221216114149.6baa1b6
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- bnr - Deprecation note

* Sat Dec 10 2022 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20221210224253.9639667
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Also export OVN DBs IPs for multi-stack inputs

* Fri Dec 02 2022 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20221203013818.5d0e0fd
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Fix password file path message

* Thu Nov 17 2022 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20221118013829.f898f3f
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Pull flake8 from Github

* Mon Nov 14 2022 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20221114123738.633ce48
- Update patches
- Pass undercloud inventory for running preflight validations

* Fri Nov 11 2022 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20221112023707.3e496fe
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Pass undercloud inventory for running preflight validations

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20221108114150.3e496fe
- Update patches
- Execute undercloud preflight validations via VF binary

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20221108093712.f9ab99c
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Execute undercloud preflight validations via VF binary

* Wed Oct 26 2022 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20221027033720.f9ab99c
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Fix overcloud cell export paths

* Wed Oct 26 2022 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20221026063850.ffb494a
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Fix usage of collections.abc

* Mon Oct 17 2022 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20221017114330.a19970c
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Look for keys in the new default work dir

* Fri Oct 14 2022 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20221014093717.1d6a69d
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Support remove and revert actions

* Wed Oct 05 2022 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20221005123712.a313d82
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Use host network for db_sync
- Use custom seccomp profile for ephemeral heat pod

* Mon Oct 03 2022 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20221003155514.a1a9919
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Use hostNetwork for ephemeral heat pod
- get_overcloud_hosts() should not return a list with empty strings
- Derive parameters clean up
- Run unprovision before provision

* Mon Sep 26 2022 OSP Prod Chain <dev-null@redhat.com> 16.5.1-1.20220927014104.17de18b
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Enable snapshots on the CLI

* Thu Sep 08 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-1.20220908154106.1cc14be
- Stop deploying Ceph during the overcloud deploying (rhbz#2081592)

* Sat Aug 20 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-1.20220820224958.1cc14be
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Add cell export to overcloud deploy

* Thu Aug 18 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-1.20220818141850.ccd5fd8
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Heat Launcher - bracket IPv6 in db connection URI
- Revert "Mark centos-8-9-multinode-mixed-os non voting for tripleoclient".
- Update cell export for ephemeral heat

* Wed Aug 10 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-1.20220810204219.54998e2
- Heat Launcher - bracket IPv6 in db connection URI (rhbz#2112444)

* Tue Aug 02 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-1.20220802091044.54998e2
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Ensure tripleo_ceph_client_vars is set consistently
- Mark centos-8-9-multinode-mixed-os non voting for tripleoclient
- Patch ensure_run_as_normal_user() in unit tests

* Mon Aug 01 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-1.20220801134011.72b2e4d
- Update cell export for ephemeral heat (rhbz#2089512)

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-1.20220729004700.72b2e4d
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- node extract provisioned - warning no net_conf tpl

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-1.20220728035923.b118e84
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-1.20220727205322.b118e84
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)

* Sun Jul 24 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-1.20220724234800.b118e84
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Generate inventory with default ansible_ssh_user
- Stop using heat-admin as ansible_ssh_user

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-1.20220718134128.94bdb3f
- Revert "Revert "Stop deploying Ceph during the overcloud deployment"" (rhbz#2081592)
- [DOWNSTREAM ONLY] Do not support upgrade for 17.0 version. (rhbz#2091957)
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- ExtractProvisionNode adding resource_class if its possible
- Default working_dir for overcloud credential command
- Add handling for roles and networks to answers
- Refactor deploy validations for ephemeral heat
- Fix upgrade prepare
- node export provisioned - get role_data from stack
- Standalone - ovn_bridge_mac comma_delimited_list
- Fix upgrade/external_update/external_upgrade
- Limit standalone ceph-admin user creation to a single host
- Remove overcloud config download command
- Move Ansible imports to correct UX Warnings
- Do not end ceph_namespace with a slash
- Ensure each host is type string
- Add GlobalConfig to saved stack outputs
- Set owner/permissions on ~/.tripleo for tripleo deploy
- Squash standalone deployed_ceph for pythonclient to Wallaby
- Add HostsEntry to saved stack output
- Fall back to alt path for ceph client data during export
- Ignore unreachable errors for scale playbook
- Only export overcloud for --stack-only/full deploy
- Fix typo "conatiner" -> "container"
- Set yaql limit iterators to 10000 for ephemeral Heat
- Remove --no-workflow option
- bnr - Set properly the default inventory file
- Unmount heat-all tmpfs dir when done
- update output path cli switch
- bnr - overcloud restore - Handle correctly the ~ on the path
- Add ip_version to CtlplaneNetworkAttributes
- Create Ceph pools/cephx keys before overcloud deploy
- Mocking utils.check_deploy_backups in OvercloudDeploy tests
- Exclude empty string from no_proxy
- Check for both config.yaml/config.json

* Thu May 19 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220519191829.ef6fcc9
- Update patches
- Set deployment_status during config generation

* Wed May 18 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220518231841.559cc8c
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Set deployment_status during config generation

* Fri May 13 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220513141932.559cc8c
- Revert "Stop deploying Ceph during the overcloud deployment"

* Thu May 12 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220512132255.559cc8c
- Stop deploying Ceph during the overcloud deployment (rhbz#2081592)

* Mon May 09 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220509142253.559cc8c
- Update patches

* Fri May 06 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220506231921.559cc8c
- Update patches
- cephadm support for 'openstack overcloud export ceph'
- Remove --heat-type=installed support
- Remove tripleo-build-containers-jobs template from zuul layout
- Fix node delete for unprovision confirmation
- Revert "Setting default inventory path for VF interface with ooo client."
- Consolidate ephemeral Heat interaction to single try/finally
- Remove unused method _format_endpoint_name

* Fri May 06 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220506222321.df4694b
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- cephadm support for 'openstack overcloud export ceph'
- Remove --heat-type=installed support
- Remove tripleo-build-containers-jobs template from zuul layout
- Fix node delete for unprovision confirmation
- Revert "Setting default inventory path for VF interface with ooo client."
- Consolidate ephemeral Heat interaction to single try/finally
- Remove unused method _format_endpoint_name

* Wed May 04 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220504171843.df4694b
- Update patches
- Remove Heat API dependency for overcloud export

* Wed May 04 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220504162311.095182c
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Remove Heat API dependency for overcloud export

* Wed Apr 27 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220428005553.095182c
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)
- Restoration of the 'export_passwords' exclusion
- Update overcloud credentials to use ephemeral Heat
- Check undercloud disk space during overcloud deploy
- Drop six
- Allow user to override Ceph cluster name
- Support passing arbitrary cephadm arguments at bootstrap
- Improve tripleo-validations hook in undercloud preflight

* Wed Apr 27 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220427101528.ccc329b
- [DOWNSTREAM-ONLY] Fail the overcloud deploy is ceph-ansible.yaml is included (rhbz#2078069)

* Fri Apr 15 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220416014505.ccc329b
- Update patches
- Default tripleo launch heat heat-type to pod
- Fix UX UserWarning notification

* Fri Apr 15 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220416002342.2b88415
- Default tripleo launch heat heat-type to pod
- Fix UX UserWarning notification

* Sun Apr 10 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220411002305.2b88415
- Update patches
- Handle KeyboardInterrupt for ephemeral Heat cleanup
- Setting default inventory path for VF interface with ooo client.
- Overcloud export with ephemeral Heat

* Wed Apr 06 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220407012354.0021766
- Update patches
- Make inventory file writable

* Wed Apr 06 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220407002730.2909e00
- Make inventory file writable

* Thu Mar 24 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220324051841.2909e00
- Update patches
- Adds openstack-py3-wallaby python jobs to template replace ussuri
- Add AuthCloudName to export data
- Add --yes to overcloud node provision for output file overwrite
- Add --reproduce-command option into Undercloud commands.

* Thu Mar 17 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220317201057.b7b58c4
- Update patches
- Handle port unprovision for pre-provisioned nodes
- Add missing hostname package to bindep
- Make --osd-spec and --crush-hierarchy not mutually exclusive
- Add missing get_hostame function needed by deployed Ceph
- Move get_ctlplane_attrs to utils

* Mon Mar 14 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220314122419.423daff
- Move get_ctlplane_attrs to utils (rhbz#2059157)
- Add missing get_hostame function needed by deployed Ceph (rhbz#2059157)

* Sun Mar 06 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220307002208.423daff
- Update patches
- Add option to bootstrap cephadm without --image
- Move get_undercloud_host_entry to utils
- Add --single-host-defaults to 'openstack overcloud ceph deploy'

* Mon Feb 28 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220228223357.7a7c358
- Update patches
- Adds c9 content provider to check layout for wallaby

* Tue Feb 15 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220215223418.0b6b716
- Update patches
- Support Deployed Ceph container push_destination

* Mon Feb 14 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220214182318.5b2cc6e
- Update patches

* Mon Feb 14 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220214152000.5b2cc6e
- Update patches

* Thu Feb 10 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220210225203.5b2cc6e
- Update patches
- Log deprecation of enable_heat option.

* Sat Feb 05 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220206003451.cc0ec23
- Update patches
- Deprecate enable_novajoin
- Standalone: Remove undercloud from parameter descriptions

* Fri Feb 04 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220205002244.3036994
- Update patches
- Deprecate and unwire enable_nova UC option
- Exposes the community validation init command

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220204020916.6c76392
- Update patches
- Changing MD5 hash to SHA512
- Adding --repo-dir argument
- Fix overcloud node provide

* Mon Jan 31 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220131102243.96fae22
- Fix overcloud node provide (rhbz#2043615)

* Wed Jan 26 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220126223239.96fae22
- Update patches
- Check old passwords file path during uc validation

* Sat Jan 22 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220122225230.6912a68
- Update patches
- Fix deploy templates arg validation

* Sat Jan 15 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220116021911.0aefaf3
- Update patches
- Write clouds.yaml/heatrc for tripleo launch heat

* Fri Jan 14 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220115003817.9e3ea87
- Update patches
- Use 127.0.0.1 for ephemeral Heat server instead of ctlplane ip
- Handle missing ipv6 boolean in network_data.yaml for Ceph
- overcloud node extract provisioned - fixed_ips
- node extract provisioned - use network_config_update

* Sat Jan 08 2022 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20220109001843.c990f0b
- Update patches
- Don't assume json network config in validations
- make net_config_override of undercloud.conf work with yaml

* Thu Dec 23 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211224002856.197dc26
- Update patches
- Don't set 'subnet' for ctlplane in node extract
- Don't run playbooks if role count == 0

* Tue Dec 21 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211222001941.003c96b
- Update patches
- Add the ability to enable/disable cephadm SSH user

* Thu Dec 16 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211216164340.107c9f1
- Update patches
- Use netaddr when comparing local_ip for changes
- Fix ports cleanup on node unprovision
- Skip Heat pod container image pull for default ephemeral heat images
- Pass crush hierarchy data as extra_var
- Donot install policycoreutils-python for cs9

* Fri Dec 03 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211203051856.e84c2e1
- Update patches

* Thu Dec 02 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211203041856.e84c2e1
- Update patches
- Fix the validations_log_basedir overriding

* Thu Dec 02 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211202103058.1de4a4e
- Fix the validations_log_basedir overriding (rhbz#2013575)

* Tue Nov 30 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211201003003.1de4a4e
- Update patches
- Set Ceph ms_bind options for IPv6

* Thu Nov 25 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211126001912.ac828a2
- Update patches
- Support custom network names with deployed ceph

* Wed Nov 24 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211125001900.21fd212
- Update patches

* Mon Nov 22 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211123001909.21fd212
- Update patches
- bnr CLI enable the conf. of ReaR with ironic on nodes
- [WALLABY-ONLY] Deprecation of the "openstack tripleo validator" CLI

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211112132732.f004ede
- Update patches
- UC/Standalone - Set ip_version in DeployedServerPortMap

* Wed Nov 10 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211111002004.914709d
- Update patches
- Ensure we're using the stackname for the inventory

* Tue Nov 09 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211110001934.64e18ce
- Update patches
- Integrating restoration process to client
- Remove update converge
- Refactor --stack-only, --setup-only, --config-download-only

* Wed Nov 03 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211104004506.9821601
- Update patches
- Remove --skip-nodes-and-networks
- Replace deprecated params in prepare
- Only use undercloud.conf ipxe_enabled for inspection

* Fri Oct 29 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211030001911.e2f3acd
- Update patches
- Add additional saved stack outputs
- Save needed stack outputs in working_dir
- Fix --stack-only to download ansible playbooks
- Update playbooks to use consistent working dir

* Tue Oct 26 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211026163043.b4cb006
- Update patches
- Fix overcloud admin authorize

* Wed Oct 20 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211020075703.a303157
- Update patches
- Fix node scaling for Ephemeral Heat

* Sat Oct 16 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211017001957.f43317c
- Update patches
- Baremetal deploy - user playbook interface

* Fri Oct 15 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211016004518.c22f23a
- Update patches
- Drop minion
- Deprecate and ignore --skip-nodes-and-networks
- Always run growvols playbook after provision
- Remove zaqar

* Sun Oct 10 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211011002026.ad49814
- Update patches
- Add --boot-mode to import and configure
- bnr enabled ramdisk as deploy interfaces on the ironic/undercloud
- Remove mistral

* Fri Oct 08 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211009003034.1d26df4
- Update patches
- Don't write <stack_name>-passwords.conf
- Drop python2 logic for upgrades
- Use real tmpdir for ansible runner tests

* Wed Oct 06 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211007003100.8328e7b
- Update patches
- Check for passwords at old path during tripleo deploy
- Image upload: handle whole-disk image as default

* Mon Oct 04 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211005001917.6ed5f20
- Update patches
- Deprecate overcloud image upload to glance

* Sat Oct 02 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20211003003714.64732f9
- Update patches
- Remove ipxe_enabled ppc64le validation
- Deprecate network data v1 definition

* Tue Sep 28 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20210929002737.086fbcb
- Update patches
- Dynamic defaults for roles, networks, vips and bm
- Update deployment status after upgrade converge

* Mon Sep 27 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20210928001844.e97d9e7
- Update patches
- Fix update run for Ephemeral Heat

* Sat Sep 18 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20210919001833.7b9bf2f
- Update patches
- Return "overcloud status" output without debug

* Thu Sep 16 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20210917001840.a96c1ea
- Update patches
- Update overcloud deploy help for default heat type
- Add `--heat-type` in overcloud delete

* Sat Sep 11 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20210912002300.f924f90
- Update patches
- Allow to pass arbitrary parameters to TCIB image config

* Thu Sep 09 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20210910001835.4cea476
- Update patches
- Eliminating a race condition in the export_stack function
- Setting upper constraints to wallaby branch of requirements

* Sat Sep 04 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20210905001814.f5f75c2
- Update patches
- Restore kernel and ramdisk arguments to node configure

* Fri Sep 03 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20210903081121.1ebbb0a
- Update patches
- Add network unprovision to overcloud delete
- Update default images for "tripleo launch heat"
- Remove name parameter from cell export

* Mon Aug 30 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20210830222848.e21af29
- Update patches
- New test case and documentation for the export_stack function.
- Add node, port unprovision to overcloud delete

* Fri Aug 27 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20210828001819.6795f6a
- Update patches
- Moving the 'export_data' dict into constants
- Introduce "openstack overcloud ceph deploy"

* Wed Aug 25 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20210825084733.7de1257
- Update patches
- Use 'all' for ANSIBLE_VARS_PLUGIN_STAGE
- Deprecate --network-ports, enable it by default
- Implement protected resource types

* Fri Aug 20 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20210821015055.cff4c1f
- Update patches
- Fetch stack after updating it
- Make the "success" message more "success"-like
- Workaround py36 encoding pip bug
- Remove deprecation warnings for the role command
- Fix get_deployment_status() for ephemeral heat

* Tue Aug 17 2021 OSP Prod Chain <dev-null@redhat.com> 16.4.1-0.20210818020201.7f6ac64
- Update patches

* Wed Aug 11 2021 OSP Prod Chain <dev-null@redhat.com> 16.3.1-0.20210812011809.7f6ac64
- Update patches
- Fix 'cell export' no attribute exception

* Wed Aug 04 2021 OSP Prod Chain <dev-null@redhat.com> 16.3.1-0.20210804231815.3fb5f34
- Update patches
- Allow for cron programming of backups

* Fri Jul 30 2021 OSP Prod Chain <dev-null@redhat.com> 16.3.1-0.20210730231805.9f3b27e
- Update patches
- Remove cyclic import between export and utils

* Tue Jul 27 2021 OSP Prod Chain <dev-null@redhat.com> 16.3.1-0.20210728005843.9e5aed4
- Update patches
- Add --reproduce-command option for tripleo deploy

* Mon Jul 19 2021 OSP Prod Chain <dev-null@redhat.com> 16.3.1-0.20210719230134.e0f12ac
- Update patches
- Passes playbook to the validation action as a list

* Wed Jul 14 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.2-0.20210714230041.380b7a5
- Update patches
- Wire up the tripleo-upgrades-wallaby-pipeline

* Sat Jul 10 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.2-0.20210710222727.4e097d5
- Update patches
- Add '--templates' arg to node and net provision

* Sat Jul 03 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.2-0.20210703222834.84f35ae
- Update patches
- Unprovision composable networks command

* Fri Jul 02 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.2-0.20210702224246.d1d4363
- Update patches
- Honor role and networks file constants
- Default Heat images to container image prepare defaults
- Use ephemeral Heat by default
- Handle KeyboardInterrupt with overcloud deploy
- Add --db-only option in undercloud_backup.
- Option to disable Node, Net and VIP provisioning
- overcloud deploy - net ports with baremetal deploy
- Make 'ansible_playbooks' pre-network config only
- overcloud deploy - provision virtual ips

* Mon Jun 28 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.2-0.20210628224138.1765cb3
- Update patches
- Use {{role.name}}Services parameters
- Don't allow --config-download-only with --baremetal-deployment

* Mon Jun 21 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.2-0.20210621221809.9a054d4
- Update patches
- Remove iscsi from IronicEnabledDeployInterfaces

* Fri Jun 18 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.2-0.20210618223848.aaa59d4
- Update patches
- overcloud deploy - provision networks
- Use upper constraints with  install command
- Don't download configs twice for --setup-only
- Check for the service queue with ephemeral heat

* Sat Jun 12 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.2-0.20210612071807.a040f3d
- Update patches
- Use podman interactive mode when restoring db
- Use explicit order for ironic enabled interfaces

* Fri Jun 11 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.2-0.20210611075217.ac0edba
- Update patches

* Thu Jun 10 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.2-0.20210610222840.ac0edba
- Update patches
- Add dosfstools to bindep

* Wed Jun 09 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.2-0.20210609223853.48e5e28
- Update patches
- Fix backup/restore file name for ephemeral heat
- Fix undercloud validate password file

* Tue Jun 08 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.2-0.20210608222934.c8870f5
- Update patches
- Remove references to tripleo-validations legacy directory

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.1-0.20210604010008.c5b1e0c
- Update patches
- BnR Typo missing some spaces between words on the command help
- Use Validations libs Client for main validation entry point
- Ephemeral Heat: Add a --refresh option to external update run
- Ephemeral Heat unit tests
- Don't run containers in interactive mode

* Wed Jun 02 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.1-0.20210602161808.fea5819
- Use Validations libs Client for main validation entry point (rhbz#1962522)

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.1-0.20210528162807.fea5819
- Update patches
- BnR added error msg in case there is no inventory

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.1-0.20210528134235.2006c0f
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.1-0.20210523163514.2006c0f
- Update patches
- Auto OVN bridge mac mappings for standalone

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.1-0.20210520231810.516b39d
- Update patches

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.1-0.20210520072716.516b39d
- Update patches

* Tue May 18 2021 OSP Prod Chain <dev-null@redhat.com> 16.2.1-0.20210518233940.516b39d
- Update patches
- Wait for Heat message queues

* Mon May 17 2021 OSP Prod Chain <dev-null@redhat.com> 16.1.1-0.20210517231806.40759dd
- Update patches
- Fix validations listing when filtering by group(s)

* Sat May 15 2021 OSP Prod Chain <dev-null@redhat.com> 16.1.1-0.20210515232820.6797a6a
- Update patches
- Fix error message for vip provision

* Fri May 14 2021 OSP Prod Chain <dev-null@redhat.com> 16.1.1-0.20210514231809.0c7a109
- Update patches
- Allow user environments override generated ones

* Fri May 14 2021 OSP Prod Chain <dev-null@redhat.com> 16.1.1-0.20210514074116.a4117f5
- Update patches

* Thu May 13 2021 OSP Prod Chain <dev-null@redhat.com> 16.1.1-0.20210513231815.a4117f5
- Update patches
- Increased strictness of the doc build
- Bump reqirements to tripleo-common>=15.2.0

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 16.1.1-0.20210513010801.592faed
- Update patches
- Upper constraints now track stable/wallaby branch.
- Use environment files when building image params
- Check if both swift and rgw are enabled during Upgrade Prepare
- Extra space was causing indentation errors
- Simplify undercloud upgrade
- Fix network environment validation
- Make Python Interpreter option for Ansible Validation Run
- Quote -e arg in ansible-playbook-command.sh
- Use consistent working dir for ansible-runner
- Handle nodes with no ctlplane IP's during deny list handling
- Handle exceptions in finally clause
- Automatically run overcloud export when using ephemeral heat
- Add enable_neutron and enable_heat
- Add heat launcher db backup/restore
- Support using ephemeral Heat
- Don't allow Redis/OvnDBs VIP in resource_registry
- Add commands to extract|provision net vips
- overcloud node extract add network info
- Base for improvement of validator test coverage
- Removing todo from undercloud_preflight since 753845 is merged
- Pass ansible ssh_user variable to the run action
- Use a consistent working directory for tripleo deploy
- Use ceph_mon_network to find Ceph monitor IPs for export
- Remove deploy_args for podman.yaml as its default
- Remove leftover for undercloud keepalived service
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 16.0.0-0.20210427013757.50afcda
- Update patches
- Set config_download_dir for each stack when exporting Ceph

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update overcloud export for new working directory
- Standalone set %service%VirtualFixedIPs
- Wire up --disable-container-prepare

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Declare is_failed_validation variable before if statement
- Move static-inventory option into parser group
- [Validator Run] Add return code management
- [UX] Align to left the table for the validations run results
- Use MultiKeyActionValue action for extra-[env-]vars arguments
- Restore old config-download symlink to new location
- Revert the move of tripleo_validator in tripleo-validation
- BM Provisioning - Apply node network config
- Refactor BM deployment to use '--work-dir' - [2/2]
- Absolutize path for CIP output env
- Drop deprecation warning for OpenDaylight support

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump up the version for osc-lib as ooo-validations need it.
- Don't initialize deploy_message again

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Don't initialize deploy_message again
- Don't initialize deploy_message again

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't initialize deploy_message again
- Fix make_config_download_dir()
- Fix overcloud status command
- Refactor BM deployment to use '--work-dir' [1/2]
- Do not use ironic/nova for generate_fencing

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update tripleo launch heat for HeatPodLauncher
- Add parameter to specify ca_cert
- Remove unnecessary zuul layout overrides use templates instead
- Add HeatPodLauncher
- Remove unnecessary mocks in tests
- Remove enable_tempest flag from tripleoclient
- Revert "Revert "Add environment variables for better var handling""
- parameter was covering covering `type` built in
- Add enable_frr option
- Use TOX_CONSTRAINTS_FILE

* Sun Mar 07 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- UX improvement when no nodes are found

* Sat Mar 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't use mistral actions for baremetal workflow

* Fri Mar 05 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add new option for `setup-only`

* Thu Mar 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Add environment variables for better var handling"
- Fix AttributeError
- Copy the inventory for standalone deploy in output_dir
- Add environment variables for better var handling
- Remove default plan-environment.yaml references

* Tue Mar 02 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Predictable dir for heat launcher
- Add faultwrap filter to paste pipeline for heat-all
- Use a consistent working dir for deployment

* Sat Feb 27 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add label argument for the container image build

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update default container registry to quay.io
- node provision, Set vars for generating inventory
- Get gid and uid methods are now members of HeatBaseLauncher

* Thu Feb 18 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix node delete to not use overcloud plan

* Wed Feb 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove overcloud set parameter command
- Allow writing byte strings with safe_write
- Track leftover files in config-download
- Remove orchestration section from tempest-deployer-input.conf

* Fri Feb 12 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Modifying Openstack client for undercloud and overcloud backup
- Remove keep_env_on_update logic

* Wed Feb 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bring back check_deprecated_parameters
- Use extra_vars_file for json stack_data

* Sat Feb 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow enabling swift on undercloud

* Fri Feb 05 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Disable swift on undercloud
- Add auth_token_lifetime to undercloud.conf
- Write ansible-playbook-command.sh to workdir not playbook_dir
- Quote $@ in ansible-playbook-command.sh

* Thu Feb 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix image parameter update
- Add user-environment files to archive
- Don't use swift plan when exporting passwords
- Remove plan/plan-role management commands

* Wed Feb 03 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix get_deployment_status()

* Tue Feb 02 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use full path of networks_file for minion
- Locally keep deployment_status
- Archive overcloud deploy artifacts

* Mon Feb 01 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ignore stack-vstate-dropin.yaml for minion and uc
- Refactor jinja rendering of templates
- Don't create/update plan for overcloud deploy
- Use heat server side env merging
- Drop --update-plan-only
- Create overcloudrc using stack environment
- Deprecate minion commands
- Dedup host entries in the exported data for stacks
- Removing deprecated arguments for node delete

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Correct a noisy DeprecationWarning
- We don't have to disable validations anymore for pre-deployed OC
- Update client to create archive and use tripleo-common
- Add routes and MTU to ctlplane attrs for standalone

* Thu Jan 21 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable pylint

* Sat Jan 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add lint dependencies for content provider

* Fri Jan 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add '--network-ports' option to node (un)provision

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop settings for python2
- Use same code path for UpdatePrepare

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Run flake8 using pre-commit
- Make workflow monitoring more resilient

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove tripleo_validator from tripleoclient
- [Validator Run] Add return code management
- Overcloud image has missing kernel_id and ramdisk_id properties
- Wire up new tripleo upgrades jobs template
- Set DeployIndentifier early in tripleoclient-parameters.yaml
- [UX] Align to left the table for the validations run results
- Add --disable-container-prepare flag

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop experimental for tripleo deploy

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- The lower constraint file has been removed
- Get deployment status to check if plan and stack exists on the env

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Honor --debug for buildah builder

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Dumping task key instead of tasks from validation_output
- Add config-download-dir flag to cell export command

* Thu Dec 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add new toggle to disable Swift

* Tue Dec 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Provision composable networks command
- Map build host repos to distro.repos.d instead of yum.repos.d

* Thu Nov 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [Container build] raise Exception post logging error
- Remove count/flavor options from overcloud deploy
- Replace deprecated UPPER_CONSTRAINTS_FILE variable
- Update master for stable/victoria

* Sat Nov 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Run validation without authentication in particular context

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Extract provisioned networks from stack
- Improve the error message about image tags

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix preflight validation

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Removed ubi-8 based jobs

* Sat Nov 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure build packages installed at runtime

* Fri Nov 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Logging refactor

* Tue Nov 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not require authentication for the validator CLI
- [Validator Show Run] Display simplified results by default

* Sun Nov 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove detection of package manager for undercloud upgrade
- Allow playbooks to come from a venv version

* Sat Oct 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Handle root as a deployment user better
- Switch deployed-server if nova unavailable

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use user's home dir for fact cache
- Remove undercloud_update_packages
- [Validator Show] Properly throwing an exception for unknown validation
- [Validator Run] Don't rely on parameter file extension
- [Validator Run] Ensure the plan really exists

* Thu Oct 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove upgrade_cleanup
- Remove docker_bip option

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix heat container mounts

* Tue Oct 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sun Oct 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Handle container launch
- Update heat container location
- Add check for nic config with ansible migration

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Raise if no validation has been executed
- Use default environment with --deployed-server
- Remove --quiet argument from the validator run CLI command.

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Check CephClusterFSID against proposed env files

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to content provider jobs/templates

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Generate routes for undercloud ctlplane network attrs

* Sat Oct 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add catch for OSError and KeyError (PEP	3151)

* Fri Oct 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expose --ansible-forks

* Thu Oct 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix tcib build
- Deprecate novajoin

* Wed Sep 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use validation framework for running undercloud checkdisk

* Tue Sep 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- ctlplane network attributes in overcloud environment
- Make tripleoclient compatible with cliff-3.4.0

* Tue Sep 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- undercloud: disable Mistral and Zaqar by default
- Fix if conditions in constants.py
- Add openstack overcloud export ceph
- Standardize import of ConfigParser
- Build timeout as CLI arg for container image build
- Make config_dir absolute path for ansible
- Remove install unnecessary packages
- Remove TripleO UI toggles

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure the ansible log file always has a correct UID
- Ensure root isn't used to run updates/upgrades
- Fix pathing for container image prepare

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Inject both paths for validations roles location

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add --temp-dir to overcloud image build
- Convert to 'raw' images when uploading
- Bump ansible-runner to 1.4.5

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update tripleo-validations path to /usr/share/ansible
- Allow to pass a static inventory to the validator CLI
- Disable nova by default on undercloud

* Sun Sep 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update dependency logic to correctly index parents

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a raise when an image is found without config
- Use cli-container-image-prepare.yaml playbook

* Sat Aug 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow the container build tools to run config-less

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Allow the container build tools to run config-less
- Allow the container build tools to run config-less

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow the container build tools to run config-less

* Sat Aug 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- (UX) Improve logging if the ephemeral heat stack wasn't created

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow usage of duplicated IPs for undercloud config

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- TCIB: add --rhel-modules argument

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- overcloud_deploy: move horizon url/rc files before config-download

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the unused _validate_skip_tags function

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- overcloud_cell: fix location of config-download

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Limit ip_version when resolving public_host and admin_host

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove playbook param from tripleo_validator.py

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix ignored parameters in create_deployment_plan

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use user set password values in overcloud export

* Tue Aug 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup UndercloudHostsEntries

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't build image upload tasks when dry_run is True

* Mon Aug 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Simplify error handling in tripleo_deploy

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Lower ansible poll interval time

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add --transport argument to tripleo deploy

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecated overcloud container image build (kolla) command

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate --standalone argument
- Initially set rc to 0, not 1

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Close session objects in container_image.py

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "[ussuri] TCIB: change default namespace to triploeu"

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri] TCIB: change default namespace to triploeu

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace assertItemsEqual with assertCountEqual
- Fall back to local upload when there is no glance endpoint

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Eliminate the usage of kwargs in update_deployment_plan

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Correct a typo in a string

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove translation sections from setup.cfg

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Throw warning if --limit used with a skip list in Heat

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure --limit option takes precedence over skiplist

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix extra_env_files option and type in format string

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add backup functionality to Openstack client for undercloud and overcloud.

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Log error when fail_on_rc disabled

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add "yes" prompt for update/upgrades commands

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't run config-download for --stack-only

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix package manager used during undercloud packages update

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rename UpgradeConvergeOvercloud into UpgradeConverge.

* Mon Jul 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove ffwd-upgrade commands from tripleoclient.

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop to use the __future__ module.

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tripleo_states to default callback whitelist

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- overcloud_deploy: raise at the end if Ansible Runner had exception
- zuul: run standalone job with locally built images

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set portmap cidr fields to extracted CIDR

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't use stack name in default config_download_dir

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CLI options for introspection command

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Further cleanup unit tests

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Identify not allowed parameters in upgrades.

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refactor upgrade prepare and converge.

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove actions.config and AnsibleGenerateInventoryAction references
- Run tripleo-build-containers-ubi-8 under specific conditions

* Sat Jun 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't run get_config() in update/upgrade prepare

* Sat Jun 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use playbook for config-download export

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Detect TLS for pre-provisioned nodes

* Wed Jun 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Implement validations-libs framework for ALL validator commands

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Configure ansible forks based on cores

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove undercloud_enable_paunch option

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tripleo container image hotfix command
- Add openstack tripleo container image build

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use cli-config-download.yaml playbook

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use tripleo custom stdout plugins in utils

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/ussuri

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump tripleo-common

* Sun May 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't set DeployIdentifier in tripleoclient

* Sun May 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove shenanigans for stack event verbosity

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop patching tripleo_common.actions.deployment.OvercloudRcAction

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure the ansible.cfg file presists

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump hacking min version to 3.0.1
- Fix some pep8 errors

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure playbook execution respects CLI ENV vars

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Normalize how we pull the users home folders

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unused write_overcloudrc() function

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove left over print

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- ignore basepython conflict in tox

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix upgrade prompt

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Only show sudo hints when relevant

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use ansible playbook for creating overcloudrc

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Inspector set baremetal port physical_network

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- New command "overcloud node extract provisioned"

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- trivial: add spaces after punctuation in config help text

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix stack create verbosity

* Sat May 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add call to cleanup_ipa.yml playbook when doing a stack delete

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't override default verbose_level

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add stack_name support to ANSIBLE_INVENTORY

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove workflow_engine from client setup

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Raise a new ValueError with the contents of the JSON is parsing fails

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add login flag to container image prepare defaults

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup py27 support

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't use mistral directory as WORK_DIR for config-download

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add release note for undercloud.conf parsing

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expose --limit, --skip-tags, and --tags on the CLI.

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use undercloud upgrade to update all required pkgs

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove openstack overcloud failures command

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move ansible hosts file as a constant

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Simplify setting deployment status
- Set correct deployment_status in deployment stages

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove redundant loading of file to read extra_vars

* Fri Apr 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add the ability to load vars from files

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix ResourceWarning: unclosed file

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add releasenote for removal of overcloud remote execute command

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update necessary packages before undercloud upgarde.

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Make container images file required (rhbz#1819016)
- Fix misused deployment vs connection timeouts

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Invoke ansible from writeable workdirs

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure the undercloud output dir constant is consistent

* Sat Apr 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update verbosity so it is consistently set

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove update parameters workflows

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove mistral from the plan_undeploy workflows
- Remove overcloud remote execute command
- Set scp_if_ssh to True in ansible client configuration

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- clean up tripleoclient zuul layout, remove centos-7
- Improve container_images_file comments

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove OrchestrationDeployAction call in ffwd upgrade prepare
- Bump python-openstackclient

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unused baremetal provision workflow code

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop testing python 2 in tox.
- tripleo_deploy: finish the loop of operations early if wrong rc
- Fix GlanceClientAdapter to use new osc release
- Get event marker before doing update

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- scale: add missing stack name in scale.ScaleDownAction

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- overcloud node delete, use ansible for unprovision
- overcloud deploy, use ansible for bm provision
- Normalize the 'undercloud-passwords.conf' return data
- Add new interface to run arbitrary playbooks from a plan

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove usage of GenerateFencingParametersAction action class
- Remove usage of GetFlattenedParametersAction action class

* Sat Mar 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch default images to py3

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to ansible for overcloud node (un)provision
- Remove CreateContinerAction usage

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove usage of swifthelper.SwiftTempUrlAction

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Mar 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Create *-messages container when setting deployment status

* Wed Mar 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use tripleo_common library directly for package_update

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Clean unit tests from OS::TripleO::Hosts::SoftwareConfig
- Add mistral workflow module path to ansible-runner

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use ansible playbook for plan deploy

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use ansible playbooks for plan creation/update
- Don't encode to utf8 data read from logfile

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix order of parameters to isinstance()

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Pass container_config to get_config()
- Update help output
- Correct YAML load warning
- Remove mistral when running the provide workflows
- Remove the mistral from the clean_.*_nodes workflow
- Remove mistral from the introspection workflows
- Remove mistral from the configure workflows
- Add option to control ironic network interfaces

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Pass container_config to get_config()
- Update help output
- Correct YAML load warning
- Remove mistral when running the provide workflows
- Remove the mistral from the clean_.*_nodes workflow
- Remove mistral from the introspection workflows
- Remove mistral from the configure workflows
- Add option to control ironic network interfaces
- Pass container_config to get_config()
- Update help output
- Correct YAML load warning
- Remove mistral when running the provide workflows
- Remove the mistral from the clean_.*_nodes workflow
- Remove mistral from the introspection workflows
- Remove mistral from the configure workflows
- Add option to control ironic network interfaces

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Correct YAML load warning

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Pass container_config to get_config()

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update help output

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove mistral when running the provide workflows

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the mistral from the clean_.*_nodes workflow
- Remove mistral from the introspection workflows

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove mistral from the configure workflows

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add option to control ironic network interfaces

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Client code to do node import with ansible instead of mistral
- Remove mistral from the bios_configuration workflows
- Remove the mistral from the create_raid_configuration workflow
- Remove mistral from the undeploy_roles workflow
- Remove mistral when running the register_or_update workflow

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refactor redundant exception type checking

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- baremetal provision expose concurrency and timeout

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix command docs generation

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Start moving the import CLI command to the Ansible implementation

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup playbook execution

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make _get_undercloud_host_entry(self) python3 friendly

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Mar 06 2020 Jon Schlueter <jschluet@redhat.com> 13.1.1-0.20200306101941.3b2718a
- add guard global

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- update containers-multinode, minion to centos-8

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove mistral when running the validate_nodes

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Partial Revert "Replace ansible shell with python runner"
- Fix delete plan
- Fix KeyError exception on check_deprecated_parameters

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update undercloud.conf with correct SSL information

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Skip network check with stack env when validations disabled
- overcloud: set DeployIdentifier to '' if --skip-deploy-identifier is used
- Avoid TZ issues in test_image test

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove mistral when creating the overcloudrc file.
- Remove the mistral from the check_deprecated_parameters workflow

* Wed Mar 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Pass verbose boolean value to wait_for_stack_ready()

* Tue Mar 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- migrate from centos7 -> centos-8 for standalone jobs

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Relax ~/.config permissions
- Remove Mistral from the plan export

* Sat Feb 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix unit test_get_image timezone issue

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Get validation groups info from groups.yaml file
- TripleO Validations Logging CLI Introduction

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix create_container regression
- Fix default image registry address lookup

* Thu Feb 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Feb 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Migrate the openstack overcloud delete command to use Ansible

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Increase ssh port timeout
- Add handler for exception raising

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add source auth to image push
- Remove mistral from the generate_fencing_parameters deploy workflow
- Add --work-dir option to container image build command
- Convert the support deployment and workflow to ansible
- Revert "Default to zero verbosity when using Ansible."
- Remove three unused exceptions
- Remove the unused backup method
- Local file based image uploader
- Don't use the delete_deployment_plan workflow, call the action directly

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Feb 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improve the way of handling inventory for ansible_runner
- Remove mistral from the expand_roles deploy workflow
- Remove mistral from the get_deployment_failures deploy workflow

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove capabilities-map.yaml related functionality

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove mistral from the deploy_on_servers workflow

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use correct default key file and normalize the usage
- Remove mistral from the create_container deploy workflow
- Remove mistral from the list_available_roles deploy workflow

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Migrate the CLI introspection from Mistral to Ansible
- Remove mistral from the package_update_* workflows
- Remove left over mistral layers of abstration
- Remove extra whitespaces from getent.

* Mon Feb 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refactor image upload command

* Mon Feb 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove mistral from the config_download deploy workflow

* Mon Feb 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- update ironclient requirements

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow import to specify image location ipxe=false
- Add wait function to the node delete workflow
- Remove mistral from the config_download_export workflow
- Remove mistral from the delete_node workflow

* Sat Feb 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove mistral from the set_deployment_status* workflows
- Remove mistral from the get_deployment_status workflow
- Remove mistral from the discover_and_enroll workflow
- Convert get_config to a direct call instead of using mistral
- Convert horizon url workflow to ansible
- Convert deployment to use new ssh-admin playbook
- Extend the mistral context class
- Remove Mistral from plan list and call the Mistral action directly
- Enable stack status output for tripleo deploy

* Wed Feb 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup the job templates

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- remove py27 tox

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Disable Paunch by default on the Undercloud"
- Merge "Revert "Revert "Overload stdout callback plugin"""
- Merge "Remove mistral workflow to return the ssh private key"
- Revert "Revert "Overload stdout callback plugin""
- Remove mistral workflow to return the ssh private key
- Disable Paunch by default on the Undercloud

* Sun Feb 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "return py27 to voting"
- return py27 to voting

* Sat Feb 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add raised exception when playbook fails"
- Add raised exception when playbook fails

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix all py27 tests"
- Merge "Add kwarg to set an ansible.cfg file"
- Fix all py27 tests
- Add kwarg to set an ansible.cfg file

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Move undercloud backup from mistral to ansible"
- Fix ansible-runner when verbosity is > 0
- Move undercloud backup from mistral to ansible

* Tue Jan 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare tripleoclient for v2 implementations of the commands

* Fri Jan 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Default to zero verbosity when using Ansible."
- Default to zero verbosity when using Ansible.

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add tripleo launch heat command"
- Add tripleo launch heat command

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Inject ansible-runner logs in the install-undercloud.log file"
- Inject ansible-runner logs in the install-undercloud.log file

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Enforce 0600 permissions on private SSH key file."
- Enforce 0600 permissions on private SSH key file.

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove unused parameter poll_period from wait_for_stack_ready"
- Remove unused parameter poll_period from wait_for_stack_ready

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Handle ansible_runner return code properly

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add additional ssh timeout options"
- Add additional ssh timeout options

* Mon Jan 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "openstack overcloud node delete --baremetal-deployment"
- openstack overcloud node delete --baremetal-deployment

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Allow ctlplane subnets in undercloud chrony acl rules"
- Allow ctlplane subnets in undercloud chrony acl rules

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Overload stdout callback plugin""
- Revert "Overload stdout callback plugin"

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Catch exceptions when processing subnets"
- Catch exceptions when processing subnets

* Mon Dec 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Whitelist the profile_tasks callback by default"
- Whitelist the profile_tasks callback by default

* Sat Dec 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Overload stdout callback plugin"
- Overload stdout callback plugin

* Tue Dec 24 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Added for support for generating overcloud clouds.yaml""
- Revert "Added for support for generating overcloud clouds.yaml"

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Implement utils.copy_clouds_yaml"
- Merge "Handle config-download in progress in tripleoclient"
- Implement utils.copy_clouds_yaml
- Handle config-download in progress in tripleoclient

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Replace ansible shell with python runner"
- Replace ansible shell with python runner

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Pass container name to update_nodes workflow"
- Pass container name to update_nodes workflow

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- TripleO Validator CLI Refactor

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Retry the connection to heat-api when 500 code

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Honor --heat-user argument in heat launcher"
- Merge "tripleo_deploy: set RootStackName"
- Honor --heat-user argument in heat launcher
- tripleo_deploy: set RootStackName

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Write minimal paste configuration for heat-all."
- Merge "Configurable heat launcher directory"
- Merge "Add locks to container image commands"
- Write minimal paste configuration for heat-all.
- Configurable heat launcher directory
- Add locks to container image commands
- Use configured passwords
- Include memcached_node_ips in the output for the undercloud

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix inspector ip range for dhcpv6-stateless"
- Fix inspector ip range for dhcpv6-stateless

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Switch to use process executor"
- Switch to use process executor

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove check for IN_PROGRESS stack

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix overcloud cell export after refactoring

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add openstack overcloud export

* Mon Nov 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop Mistral support for the Validations CLI

* Mon Nov 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Get rid of Mistral for running Validations by Groups
- Get rid of Mistral for listing validations

* Tue Nov 05 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Support undercloud fake-hardware ironic driver"
- Support undercloud fake-hardware ironic driver

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Complete overcloud deploy --baremetal-deployment"
- Merge "Improvements to unprovision command"
- Complete overcloud deploy --baremetal-deployment
- Improvements to unprovision command

* Sat Nov 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- undercloud: introduce undercloud_enable_paunch option

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump tripleo-common requirements.txt to fix tox docs job

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add test for the function check_deprecated_parameters."
- Merge "Refactoring the join part."
- Refactoring the join part.
- Add test for the function check_deprecated_parameters.

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Undercloud hosts entries in overcloud parameters"
- Undercloud hosts entries in overcloud parameters

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Use name for container registry"
- Merge "Add mocks to fix unit tests"
- Use name for container registry
- Add mocks to fix unit tests
- Update master for stable/train

* Sat Oct 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Ensure that --output-env-file handles path expansion"
- Add option to control IPv6 address mode
- Ensure that --output-env-file handles path expansion

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Don't set transport=local in ansible.cfg"
- Don't set transport=local in ansible.cfg

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Handle a deployment that was manually cancelled."
- Handle a deployment that was manually cancelled.

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Set option:mtu in inspector dnsmasq"
- Merge "Don't use --registry-url for image show auth"
- Set option:mtu in inspector dnsmasq
- Don't use --registry-url for image show auth

* Mon Oct 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Removed references to bm-deploy images"
- Removed references to bm-deploy images

* Mon Oct 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix message of unused_params and invalid_role_specific_params."
- Merge "IronicIpVersion: 16.5.1
- Fix message of unused_params and invalid_role_specific_params.
- IronicIpVersion: 16.5.1

